diff -up gfsview-snapshot-111003/batch/Makefile.am.orig gfsview-snapshot-111003/batch/Makefile.am
--- gfsview-snapshot-111003/batch/Makefile.am.orig	2012-02-03 23:44:40.364076764 +0000
+++ gfsview-snapshot-111003/batch/Makefile.am	2012-02-03 23:49:08.550104344 +0000
@@ -3,23 +3,24 @@
 INCLUDES = \
 	-DPACKAGE_DATA_DIR=\""$(datadir)/gfsview"\" \
 	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
-        -DG_LOG_DOMAIN=\"GfsView\"
+        -DG_LOG_DOMAIN=\"GfsView\" \
+	-I$(top_srcdir)
 
 noinst_LTLIBRARIES = librender2D.la librender3D.la
 
 librender2D_la_SOURCES = render.c render.h
 librender2D_la_CFLAGS = @GERRIS2D_CFLAGS@ @OSMESA_CFLAGS@
-librender2D_la_LIBADD = -L$(top_srcdir)/gl2ps -lgl2ps \
-                        -L$(top_srcdir)/gl -lgfsgl2D \
+librender2D_la_LIBADD = -L$(top_builddir)/gl2ps -lgl2ps \
+                        -L$(top_builddir)/gl -lgfsgl2D \
                         @OSMESA_LIBS@
-librender2D_la_DEPENDENCIES = $(top_srcdir)/gl2ps/libgl2ps.la $(top_srcdir)/gl/libgfsgl2D.la
+librender2D_la_DEPENDENCIES = $(top_builddir)/gl2ps/libgl2ps.la $(top_builddir)/gl/libgfsgl2D.la
 
 librender3D_la_SOURCES = render.c render.h
 librender3D_la_CFLAGS = @GERRIS3D_CFLAGS@ @OSMESA_CFLAGS@
-librender3D_la_LIBADD = -L$(top_srcdir)/gl2ps -lgl2ps \
-                        -L$(top_srcdir)/gl -lgfsgl3D \
+librender3D_la_LIBADD = -L$(top_builddir)/gl2ps -lgl2ps \
+                        -L$(top_builddir)/gl -lgfsgl3D \
                         @OSMESA_LIBS@
-librender3D_la_DEPENDENCIES = $(top_srcdir)/gl2ps/libgl2ps.la $(top_srcdir)/gl/libgfsgl3D.la
+librender3D_la_DEPENDENCIES = $(top_builddir)/gl2ps/libgl2ps.la $(top_builddir)/gl/libgfsgl3D.la
 
 bin_PROGRAMS = gfsview-batch2D gfsview-batch3D
 
diff -up gfsview-snapshot-111003/gl2ps/Makefile.am.orig gfsview-snapshot-111003/gl2ps/Makefile.am
diff -up gfsview-snapshot-111003/gl/Makefile.am.orig gfsview-snapshot-111003/gl/Makefile.am
--- gfsview-snapshot-111003/gl/Makefile.am.orig	2012-02-03 16:13:52.453045054 +0000
+++ gfsview-snapshot-111003/gl/Makefile.am	2012-02-04 21:21:20.928135069 +0000
@@ -3,12 +3,13 @@
 INCLUDES = \
 	-DPACKAGE_DATA_DIR=\""$(datadir)/gfsview"\" \
 	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
-        -DG_LOG_DOMAIN=\"GfsGl\"
+        -DG_LOG_DOMAIN=\"GfsGl\" \
+	-I$(top_srcdir)
 
 lib_LTLIBRARIES = libgfsgl2D.la libgfsgl3D.la
 
 SRC =   gfsgl.c gfsgl.h \
-	trackball.c trackball.h
+	trackball.c trackball.h gl2ps/gl2ps.h
 
 SRC3D = $(SRC) gfsgl3D.h \
         iso.c
@@ -18,6 +19,7 @@ libgfsgl2D_la_LDFLAGS = $(NO_UNDEFINED) 
 libgfsgl2D_la_LIBADD = @GERRIS2D_LIBS@ @FTGL_LIBS@ -lGLU
 libgfsgl2D_la_SOURCES = $(SRC) gfsgl2D.h
 
+
 libgfsgl3D_la_CFLAGS = $(AM_CFLAGS) @GERRIS3D_CFLAGS@ @FTGL_CFLAGS@
 libgfsgl3D_la_LDFLAGS = $(NO_UNDEFINED) -export-dynamic
 libgfsgl3D_la_LIBADD = @GERRIS3D_LIBS@ @FTGL_LIBS@ -lGLU
diff -up gfsview-snapshot-111003/view/Makefile.am.orig gfsview-snapshot-111003/view/Makefile.am
--- gfsview-snapshot-111003/view/Makefile.am.orig	2012-02-03 23:55:54.831041102 +0000
+++ gfsview-snapshot-111003/view/Makefile.am	2012-02-04 21:17:48.969134160 +0000
@@ -11,7 +11,8 @@ EXTRA_DIST = \
 
 INCLUDES = \
 	-DPACKAGE_DATA_DIR=\""$(datadir)/gfsview"\" \
-	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\"
+	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
+	-I$(top_srcdir)
 
 bin_PROGRAMS = gfsview2D gfsview3D
 
@@ -31,17 +32,17 @@ SRC = \
 
 gfsview2D_SOURCES = $(SRC) gfkgl2D.h
 gfsview2D_CFLAGS = @SN_CFLAGS@ @GTK_CFLAGS@ @GERRIS2D_CFLAGS@
-gfsview2D_LDADD = -L$(top_srcdir)/gl2ps -lgl2ps \
-                  -L$(top_srcdir)/gl -lgfsgl2D \
+gfsview2D_LDADD = -L$(top_builddir)/gl2ps -lgl2ps \
+                  -L$(top_builddir)/gl -lgfsgl2D \
 	          @SN_LIBS@ @GTK_LIBS@
-gfsview2D_DEPENDENCIES = $(top_srcdir)/gl2ps/libgl2ps.la $(top_srcdir)/gl/libgfsgl2D.la
+gfsview2D_DEPENDENCIES = $(top_builddir)/gl2ps/libgl2ps.la $(top_builddir)/gl/libgfsgl2D.la
 
 gfsview3D_SOURCES = $(SRC) gfkgl3D.h
 gfsview3D_CFLAGS = @SN_CFLAGS@ @GTK_CFLAGS@ @GERRIS3D_CFLAGS@
-gfsview3D_LDADD = -L$(top_srcdir)/gl2ps -lgl2ps \
-                  -L$(top_srcdir)/gl -lgfsgl3D \
+gfsview3D_LDADD = -L$(top_builddir)/gl2ps -lgl2ps \
+                  -L$(top_builddir)/gl -lgfsgl3D \
                   @SN_LIBS@ @GTK_LIBS@
-gfsview3D_DEPENDENCIES = $(top_srcdir)/gl2ps/libgl2ps.la $(top_srcdir)/gl/libgfsgl3D.la
+gfsview3D_DEPENDENCIES = $(top_builddir)/gl2ps/libgl2ps.la $(top_builddir)/gl/libgfsgl3D.la
 
-glade/mangled_interface.c: glade/interface.c glade/interface.h
-	sh $(srcdir)/mangle < glade/interface.c > glade/mangled_interface.c
+glade/mangled_interface.c: $(srcdir)/glade/interface.c $(srcdir)/glade/interface.h
+	sh $(srcdir)/mangle < $(srcdir)/glade/interface.c > $(srcdir)/glade/mangled_interface.c
